pythtb.Mesh
===========

.. autoclass:: pythtb.Mesh















































































































Methods
-------
.. autosummary::
   :nosignatures:
   :toctree: pythtb/Mesh/

   pythtb.Mesh.build_custom
   pythtb.Mesh.build_grid
   pythtb.Mesh.build_path
   pythtb.Mesh.gen_hyper_cube
   pythtb.Mesh.get_axis_range
   pythtb.Mesh.get_k_points
   pythtb.Mesh.get_param_points
   pythtb.Mesh.info
   pythtb.Mesh.is_axis_bz_winding
   pythtb.Mesh.is_axis_closed
   pythtb.Mesh.is_axis_looped
   pythtb.Mesh.loop
   pythtb.Mesh.unloop
   




















































































































































Attributes
----------
.. autosummary::
   :nosignatures:
   :toctree: pythtb/Mesh/

   pythtb.Mesh.axes
   pythtb.Mesh.axis_names
   pythtb.Mesh.axis_types
   pythtb.Mesh.bz_winding_axes
   pythtb.Mesh.bz_winding_mask
   pythtb.Mesh.component_types
   pythtb.Mesh.dim_k
   pythtb.Mesh.dim_lambda
   pythtb.Mesh.dim_total
   pythtb.Mesh.endpoint_axes
   pythtb.Mesh.endpoint_mask
   pythtb.Mesh.filled
   pythtb.Mesh.flat
   pythtb.Mesh.is_grid
   pythtb.Mesh.is_k_torus
   pythtb.Mesh.k_axes
   pythtb.Mesh.k_axis_indices
   pythtb.Mesh.k_component_indices
   pythtb.Mesh.lambda_axes
   pythtb.Mesh.lambda_axis_indices
   pythtb.Mesh.lambda_component_indices
   pythtb.Mesh.loop_axes
   pythtb.Mesh.loop_mask
   pythtb.Mesh.naxes
   pythtb.Mesh.nk_axes
   pythtb.Mesh.nl_axes
   pythtb.Mesh.nodes
   pythtb.Mesh.npoints
   pythtb.Mesh.points
   pythtb.Mesh.shape
   pythtb.Mesh.shape_axes
   pythtb.Mesh.shape_k
   pythtb.Mesh.shape_lambda
   
